<?php
/**
 * show_image.php
 * 
 * Example utility file for dynamically displaying images
 * 
 * @author      Ian Selby
 * @version     1.0 (php 4 version)
 */

//reference thumbnail class
$filename = 'cache/'.$_GET['width']."x".$_GET['height']."_".basename($_GET['filename']);
 
include_once('thumbnail.inc.php');
$thumb = new Thumbnail($_GET['filename']);
$thumb->resize($_GET['width'],$_GET['height']);
$thumb->save($filename,100);
$thumb->show();
$thumb->destruct();
exit; ?>